﻿public class ArmoredAdvancedNet : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "hu.moli.raftmod.armoredadvancednet";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(BlockCreator), "CreateBlock", new System.Type[] { typeof(Item_Base), typeof(UnityEngine.Vector3), typeof(UnityEngine.Vector3), typeof(DPS), typeof(int), typeof(bool), typeof(uint), typeof(uint), typeof(uint) })]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_BlockCreator_CreateBlock
    {
        static void Postfix(ref Block __result, ref Item_Base blockItem, ref UnityEngine.Vector3 localBuildPosition, ref UnityEngine.Vector3 localBuildRotation, ref DPS dpsType, ref int hotslotIndex, ref bool replicating, ref uint blockObjectIndex, ref uint networkedObjectIndex, ref uint networkedBehaviourIndex)
        {
            if (blockItem.UniqueName == "Placeable_CollectionNet_Advanced")
            {
                __result.Reinforced = true;
            }
        }
    }
}
